import Clunch from "clunch/dist/clunch-template.js";
import { isFunction } from "@hai2007/tool";

export default {
    unbind: function (el) {
        if (el.__hai2007_clunch__) {
            el.__hai2007_clunch__.$destroy();
        }
    },
    update: function (el, binding, vnode) {

        var data = vnode.context._data;

        if (el.__hai2007_clunch__) {

            for (var key in data) {
                el.__hai2007_clunch__[key] = data[key];
            }

        }

    },
    inserted: function (el, binding, vnode) {
        var clunch,
            parentVue = vnode.context;

        //  数据
        var data = parentVue._data;

        // 方法
        var methods = {};
        for (var key in parentVue) {
            if (/^\$/.test(key) || /^\_/.test(key)) {
                // 如果是内部变量
            } else if (key in parentVue._data) {
                // 如果是数据
            } else if (isFunction(parentVue[key])) {
                (function (key) {
                    methods[key] = function (target) {
                        try {
                            parentVue[key].call(parentVue, target, clunch);
                        } catch (e) {
                            console.error(e);
                        }
                    };
                })(key);
            }
        }

        clunch = new Clunch({
            el: el,
            data: data,
            template: el.innerHTML,
            methods: methods
        });

        el.__hai2007_clunch__ = clunch;
    }
};
